SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000774SiT!inbound emailpublic2009-07-15 10:252009-08-16 14:40
Reporternicdev 
Assigned Tokieran 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000774: Attachments with accented characters like "é" in the filename do not get imported
DescriptionWe had some emails imported into the tracker, with accented characters in the filename (filename = "photo étiquette 1.jpg"), and the following happens:

The file "looks like" it gets imported into the case (tested with existing case!), but the filename appears as "=?iso-8859-1?Q?photo_=E9tiquette_1=2Ejpg?=", and when you click on this link, you get a "404 file not found"..

When i go into the attachements/updates folder, the file referenced in hte link is not there which means the import failed although the link was made in the links table (but that seems normal as it is 2 different steps in the script).

Any ideas on if you can reproduce this??

Thanks
TagsNo tags attached.
Attached Files

- Relationships
parent of 0001005closedpaulh Creating an incident from the holding queue does not move the attachment 
related to 0001275resolvedpaulh non-ascii characters in inbound email attachment filenames are corrupted 

-  Notes
User avatar (0001314)
kieran (administrator)
2009-07-15 13:44

Confirmed, sorta. I get the bodged filename but it saves to disk and loads fine. If I solved the filename problem it should hopefully fix both.
User avatar (0001315)
kieran (administrator)
2009-07-15 13:56

This is a bug with PHP in Windows that won't be fixed until PHP6, we're going to workaround it by not writing the filename to disk, we don't need to anyway.
User avatar (0001335)
kieran (administrator)
2009-07-16 23:08

This has been fixed in trunk svn r5518, please test with both old and new incidents if you can.
User avatar (0001721)
ivan (administrator)
2009-08-16 14:40

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-07-15 10:25 nicdev New Issue
2009-07-15 12:32 kieran Status new => assigned
2009-07-15 12:32 kieran Assigned To => kieran
2009-07-15 13:44 kieran Note Added: 0001314
2009-07-15 13:44 kieran Status assigned => confirmed
2009-07-15 13:56 kieran Note Added: 0001315
2009-07-16 23:08 kieran Note Added: 0001335
2009-07-16 23:08 kieran Status confirmed => resolved
2009-07-16 23:08 kieran Resolution open => fixed
2009-07-16 23:08 kieran Fixed in Version => Current SVN
2009-08-15 21:31 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:40 ivan Note Added: 0001721
2009-08-16 14:40 ivan Status resolved => closed
2009-11-06 12:52 nicdev Relationship added parent of 0001005
2010-06-17 12:43 ivan Relationship added related to 0001275


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker